clang-tools 10.0.0

Classes | Namespaces | Functions
clang-include-fixer/IncludeFixer.h File Reference
`#include "IncludeFixerContext.h"`
`#include "SymbolIndexManager.h"`
`#include "clang/Format/Format.h"`
`#include "clang/Sema/ExternalSemaSource.h"`
`#include "clang/Tooling/Core/Replacement.h"`
`#include "clang/Tooling/Tooling.h"`
`#include <memory>`
`#include <vector>`
Include dependency graph for clang-include-fixer/IncludeFixer.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::include_fixer::IncludeFixerActionFactory
class | clang::include_fixer::IncludeFixerSemaSource
| Handles callbacks from sema, does the include lookup and turns it into an IncludeFixerContext. More...

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::include_fixer

## Functions
llvm::Expected< tooling::Replacements > | clang::include_fixer::createIncludeFixerReplacements (StringRef Code, const IncludeFixerContext &Context, const format::FormatStyle &Style=format::getLLVMStyle(), bool AddQualifiers=true)
| Create replacements, which are generated by clang-format, for the missing header and mising qualifiers insertions. More...